#include <stdio.h>
#include <stdlib.h>

typedef struct node* link;

struct node {
	int value;
	link next;
};

struct node* add_to_list (struct node* list, int val) {
	struct node* temp;
	temp = (struct node*) malloc(sizeof *temp);
	temp->next = list;
	temp->value = val;
	return temp;
}

void show(struct node* list) {
	while(list != 0) {
		printf("%d\n", list->value);
		list = list->next;
	}
}

int main(void) {
	struct node* list = 0;
	int i=0;	

	for (i=0; i<10; i++)
		list = add_to_list(list, i+1);
	
	show(list);
	return 0;
}
